# Uses of Class
javafx.scene.control.TreeTablePosition

Packages that use TreeTablePosition
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeTablePosition in javafx.scene.control

Methods in javafx.scene.control that return TreeTablePosition
Modifier and Type
Method
Description
`final TreeTablePosition<S,?>`
TreeTableView.`getEditingCell()`
Gets the value of the `editingCell` property.
`final TreeTablePosition<S,?>`
TreeTableView.TreeTableViewFocusModel.`getFocusedCell()`
Gets the value of the `focusedCell` property.
`TreeTablePosition<S,T>`
TreeTableColumn.CellEditEvent.`getTreeTablePosition()`
Returns the position upon which this event occurred.
Methods in javafx.scene.control that return types with arguments of type TreeTablePosition
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<TreeTablePosition<S,?>>`
TreeTableView.`editingCellProperty()`
Represents the current cell being edited, or null if there is no cell being edited.
`final ReadOnlyObjectProperty<TreeTablePosition<S,?>>`
TreeTableView.TreeTableViewFocusModel.`focusedCellProperty()`
The position of the current item in the TableView which has the focus.
`abstract ObservableList<TreeTablePosition<S,?>>`
TreeTableView.TreeTableViewSelectionModel.`getSelectedCells()`
A read-only ObservableList representing the currently selected cells in this TreeTableView.
Methods in javafx.scene.control with parameters of type TreeTablePosition
Modifier and Type
Method
Description
`void`
TreeTableView.TreeTableViewFocusModel.`focus(TreeTablePosition<S,?> pos)`
Convenience method for setting focus on a particular row or cell using a `TablePosition`.
Constructors in javafx.scene.control with parameters of type TreeTablePosition
Modifier
Constructor
Description
``
`CellEditEvent(TreeTableView<S> table, TreeTablePosition<S,T> pos, EventType<TreeTableColumn.CellEditEvent<S,T>> eventType, T newValue)`
Creates a new event that can be subsequently fired to the relevant listeners.